﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PivotExpandIssue
{
    public class Constants
    {
        public static string Customizations = @"<DataSourceSnapshot>
  <DataSourceType>Flat</DataSourceType>
  <Rows>
    <FilterViewModel>
      <HierarchyUniqueName>[Pod].[Pod]</HierarchyUniqueName>
      <ExpandedFilterMembers>
        <string>[Pod].[Pod].[All Pods].&amp;[All Pods]</string>
      </ExpandedFilterMembers>
    </FilterViewModel>
    <FilterViewModel>
      <HierarchyUniqueName>[Book].[Book]</HierarchyUniqueName>
    </FilterViewModel>
    <FilterViewModel>
      <HierarchyUniqueName>[Ccy].[Ccy]</HierarchyUniqueName>
    </FilterViewModel>
    <FilterViewModel>
      <HierarchyUniqueName>[CategoryGroup].[CategoryGroup]</HierarchyUniqueName>
    </FilterViewModel>
    <FilterViewModel>
      <HierarchyUniqueName>[Product].[Product]</HierarchyUniqueName>
    </FilterViewModel>
  </Rows>
  <Columns>
    <FilterViewModel>
      <HierarchyUniqueName>[Bucket].[Bucket]</HierarchyUniqueName>
      <ExpandedFilterMembers>
        <string>[Bucket].[Bucket].[All Buckets].&amp;[All Buckets]</string>
      </ExpandedFilterMembers>
    </FilterViewModel>
  </Columns>
  <Measures>
    <string>ValueGbp</string>
  </Measures>
  <ExpandedRowTupleMembers>
    <ArrayOfString>
      <string>[Pod].[Pod].[All Pods].&amp;[All Pods]</string>
    </ArrayOfString>
  </ExpandedRowTupleMembers>
  <ExpandedColumnTupleMembers>
    <ArrayOfString>
      <string>[Bucket].[Bucket].[All Buckets].&amp;[All Buckets]</string>
    </ArrayOfString>
  </ExpandedColumnTupleMembers>
  <DefferedUpdate>false</DefferedUpdate>
</DataSourceSnapshot>";
    }
}
